cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/{rule_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"rule": {
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}Get an existing egress rule
Can be used by the following roles assigned at the organization, folder or cluster scope:
- CLUSTER_ADMIN
- CLUSTER_OPERATOR_WRITER
- AUDITOR
GET
/
api
/
v1
/
clusters
/
{cluster_id}
/
networking
/
egress-rules
/
{rule_id}
cURL
curl --request GET \
--url https://cockroachlabs.cloud/api/v1/clusters/{cluster_id}/networking/egress-rules/{rule_id} \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN'{
"rule": {
"cluster_id": "<string>",
"crl_managed": true,
"description": "<string>",
"destination": "<string>",
"id": "<string>",
"name": "<string>",
"state": "<string>",
"type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"paths": [
"<string>"
],
"ports": [
123
]
}
}{
"code": 123,
"details": [
{
"@type": "<string>"
}
],
"message": "<string>"
}This endpoint is in Preview and subject to change. Refer to the API support policy for more details.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
cluster_id uniquely identifies the cluster owning the egress rule.
rule_id is the UUID of an existing egress rule.
Response
A successful response.
EgressRule represents a network egress rule.
Show child attributes
Show child attributes

